@echo off
set ver=v1
title Block Software in Firewall _ SoftGozar.com
fltmc >nul 2>&1 || (
  echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\GetAdmin.vbs"
  echo UAC.ShellExecute "%~fs0", "", "", "runas", 1 >> "%temp%\GetAdmin.vbs"
  cmd /u /c type "%temp%\GetAdmin.vbs">"%temp%\GetAdminUnicode.vbs"
  cscript //nologo "%temp%\GetAdminUnicode.vbs"
  del /f /q "%temp%\GetAdmin.vbs" >nul 2>&1
  del /f /q "%temp%\GetAdminUnicode.vbs" >nul 2>&1
  exit
)

@echo off
netsh advfirewall firewall add rule name="SDL Software manager (softmanager.exe)" dir=out program="C:\program files\common files\sysdev laboratories\softmanager.exe" action=block
netsh advfirewall firewall add rule name="UFS Explorer Professional Recovery (ufs-explorer-pro.exe)" dir=out program="C:\program files\data recovery\ufs-explorer-pro.exe" action=block

echo Successfully Blocked Programs
echo.
@ECHO ~~~~~~~~~~~~~~~~~~~~~~ SoftGozar.com ~~~~~~~~~~~~~~~~~~~~~~
echo.
@PAUSE 